Bug 1733030 - ghc-8.8.1 RC1 fails to build on s390x
Summary: ghc-8.8.1 RC1 fails to build on s390x
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ghc
Version: rawhide
Hardware: s390x
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Jens Petersen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-25 04:36 UTC by Jens Petersen
Modified: 2019-08-08 04:21 UTC (History)
1 user (show)

Fixed In Version: ghc-8.8-2920190727145047.4a994e80 ghc-8.8-3020190727145047.6e4cc1ac
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-08 02:55:20 UTC


Attachments (Terms of Use)

Description Jens Petersen 2019-07-25 04:36:52 UTC
Description of problem:
See my upstream bug report for more details:
https://gitlab.haskell.org/ghc/ghc/issues/16973

Version-Release number of selected component (if applicable):
ghc-8.8.0.20190721

How reproducible:
100%

Steps to Reproduce:
1. build 8.8 branch 694ee07 on s390x

Actual results:
https://koji.fedoraproject.org/koji/taskinfo?taskID=36451850

BUILDSTDERR: utils/check-api-annotations/Main.hs:128:32: error:
BUILDSTDERR:     • GHC internal error: ‘GenericQ’ is not in scope during type checking, but it passed the renamer
BUILDSTDERR:       tcl_env of environment: [ahK2 :-> Type variable ‘r’ = r :: k0]
BUILDSTDERR:     • In the type signature:
BUILDSTDERR:         everything :: (r -> r -> r) -> GenericQ r -> GenericQ r
BUILDSTDERR:     |
BUILDSTDERR: 128 | everything :: (r -> r -> r) -> GenericQ r -> GenericQ r
BUILDSTDERR:     |                                ^^^^^^^^
BUILDSTDERR: make[1]: *** [utils/check-api-annotations/ghc.mk:18: utils/check-api-annotations/dist-install/build/Main.dyn_o] Error 1
BUILDSTDERR: make[1]: *** Waiting for unfinished jobs....
BUILDSTDERR: utils/ghctags/Main.hs:61:26: error:
BUILDSTDERR:     • GHC internal error: ‘FileName’ is not in scope during type checking, but it passed the renamer
BUILDSTDERR:       tcl_env of environment: [rF7M :-> ATcTyCon FileData :: *,
BUILDSTDERR:                                rF7N :-> APromotionErr RecDataConPE,
BUILDSTDERR:                                rF7O :-> ATcTyCon FoundThing :: *,
BUILDSTDERR:                                rF7P :-> APromotionErr RecDataConPE]
BUILDSTDERR:     • In the type ‘FileName’
BUILDSTDERR:       In the definition of data constructor ‘FileData’
BUILDSTDERR:       In the data declaration for ‘FileData’
BUILDSTDERR:    |
BUILDSTDERR: 61 | data FileData = FileData FileName [FoundThing] (Map Int String)
BUILDSTDERR:    |                          ^^^^^^^^
BUILDSTDERR: make[1]: *** [utils/ghctags/ghc.mk:18: utils/ghctags/dist-install/build/Main.dyn_o] Error 1
BUILDSTDERR: make: *** [Makefile:128: all] Error 2

Expected results:
No failure (as for the alpha releases)

Comment 1 Fedora Update System 2019-07-30 03:05:52 UTC
FEDORA-MODULAR-2019-ebf3ed1d6f has been submitted as an update to Fedora 30 Modular. https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2019-ebf3ed1d6f

Comment 2 Fedora Update System 2019-07-31 05:02:55 UTC
ghc-8.8-3020190727145047.6e4cc1ac has been pushed to the Fedora 30 Modular testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2019-ebf3ed1d6f

Comment 3 Fedora Update System 2019-07-31 05:04:38 UTC
ghc-8.8-2920190727145047.4a994e80 has been pushed to the Fedora 29 Modular testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2019-f02208a461

Comment 4 Fedora Update System 2019-08-08 02:55:20 UTC
ghc-8.8-2920190727145047.4a994e80 has been pushed to the Fedora 29 Modular stable repository. If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2019-08-08 04:21:35 UTC
ghc-8.8-3020190727145047.6e4cc1ac has been pushed to the Fedora 30 Modular stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.